HELP FILE

System Requirements for Outlook Plugin

Please check to see that you meet the minimum system requirements before downloading the latest version of the OpenVoice Outlook Plugin.

Windows
Operating System Windows 7-10
Processor Intel®Core™ 2 Duo class processor or better
RAM 2 GB or more
Internet Dedicated broadband Internet connection with HTTPS/SSL firewall access for outbound connections recommended
Additional software .NET Framework 4.6.1 or newer
  OpenVoice organizer account